# H245_RefPictureSelection_additionalPictureMemory Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RefPictureSelection_additionalPictureMemory:

List of all members.

## Public Types

enum | OptionalFields { e_sqcifAdditionalPictureMemory, e_qcifAdditionalPictureMemory, e_cifAdditionalPictureMemory, e_cif4AdditionalPictureMemory, e_cif16AdditionalPictureMemory, e_bigCpfAdditionalPictureMemory }

## Public Member Functions

| H245_RefPictureSelection_additionalPictureMemory (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_sqcifAdditionalPictureMemory
PASN_Integer | m_qcifAdditionalPictureMemory
PASN_Integer | m_cifAdditionalPictureMemory
PASN_Integer | m_cif4AdditionalPictureMemory
PASN_Integer | m_cif16AdditionalPictureMemory
PASN_Integer | m_bigCpfAdditionalPictureMemory

## Member Enumeration Documentation

enum H245_RefPictureSelection_additionalPictureMemory::OptionalFields

Enumerator:

  e_sqcifAdditionalPictureMemory |
  e_qcifAdditionalPictureMemory |
  e_cifAdditionalPictureMemory |
  e_cif4AdditionalPictureMemory |
  e_cif16AdditionalPictureMemory |
  e_bigCpfAdditionalPictureMemory |

## Constructor & Destructor Documentation

H245_RefPictureSelection_additionalPictureMemory::H245_RefPictureSelection_additionalPictureMemory | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RefPictureSelection_additionalPictureMemory::GetDataLength | ( |  | ) | const

PBoolean H245_RefPictureSelection_additionalPictureMemory::Decode | ( | PASN_Stream & | strm | ) |

void H245_RefPictureSelection_additionalPictureMemory::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RefPictureSelection_additionalPictureMemory::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RefPictureSelection_additionalPictureMemory::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RefPictureSelection_additionalPictureMemory::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_RefPictureSelection_additionalPictureMemory::m_sqcifAdditionalPictureMemory

PASN_Integer H245_RefPictureSelection_additionalPictureMemory::m_qcifAdditionalPictureMemory

PASN_Integer H245_RefPictureSelection_additionalPictureMemory::m_cifAdditionalPictureMemory

PASN_Integer H245_RefPictureSelection_additionalPictureMemory::m_cif4AdditionalPictureMemory

PASN_Integer H245_RefPictureSelection_additionalPictureMemory::m_cif16AdditionalPictureMemory

PASN_Integer H245_RefPictureSelection_additionalPictureMemory::m_bigCpfAdditionalPictureMemory

The documentation for this class was generated from the following file:

- h245.h